明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 6181|回复: 6

c#如何调用AutoCAD命令,让用户输入参数?

[复制链接]
发表于 2007-2-2 10:02:00 | 显示全部楼层 |阅读模式

c#如何调用AutoCAD命令,让用户输入参数?

如使用pedit命令,需要选择是否转换多义线[Y]?

选择合并[j]中,Y和J这两个参数都需要从命令行输入,C#程序如何实现呢?谢谢!

发表于 2007-2-6 12:48:00 | 显示全部楼层

以下是我的程序中的一段,应该能回答楼上的问题吧,不知道对楼上的有没有帮助。

   Database db = HostApplicationServices.WorkingDatabase;
   Editor ed = Application.DocumentManager.MdiActiveDocument.Editor;
   romptDoubleOptions SourceOptions = new PromptDoubleOptions("\n请输入原中央经线");
   SourceOptions.DefaultValue = 123;
   romptDoubleOptions DestinationOptions = new PromptDoubleOptions("\n请输入转换后中央经线");
   DestinationOptions.DefaultValue = 121.30;
   romptResult GeoEllip = ed.GetKeywords("\n椭球体选择:1.WGS-84 2.Krassovsky",new string[]{"1","2"});
   if(GeoEllip.Status != PromptStatus.OK) return;
   romptDoubleResult SourceCL = ed.GetDouble(SourceOptions);
   if(SourceCL.Status != PromptStatus.OK) return;
   romptDoubleResult DestinationCL = ed.GetDouble(DestinationOptions);
   if(DestinationCL.Status != PromptStatus.OK) return;
   ed.WriteMessage("\n开始坐标换带,请稍候。");
   Transaction trans = db.TransactionManager.StartTransaction();
   BlockTableRecord btr = (BlockTableRecord)trans.GetObject(db.CurrentSpaceId,OpenMode.ForRead);

 楼主| 发表于 2007-4-13 15:59:00 | 显示全部楼层
本帖最后由 作者 于 2007-4-13 16:11:59 编辑

感谢楼上meworld分享代码!能单独说明一下调用CAD中命令的实例吗?比如sendStringToExecute的用法?谢谢!
发表于 2008-2-27 13:49:00 | 显示全部楼层

怎样用C#调用Addhacth()函数

发表于 2008-7-31 15:35:00 | 显示全部楼层
向2楼的多多学习!!!以后多多交流啊!!!!
发表于 2010-8-17 17:03:00 | 显示全部楼层
唔 没看懂...是不是没有发完呢..
怎么用C# api 发送 CAD命令 并且带参数呀..
发表于 2010-8-17 21:18:00 | 显示全部楼层
http://bbs.mjtd.com/forum.php?mod=viewthread&tid=78074
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 02:48 , Processed in 0.177081 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表